<div class="max-w-2xl mx-auto">
    <div class="bg-slate-800/50 rounded-lg p-6 shadow-xl">
        <h2 class="text-xl font-bold mb-4 flex items-center gap-2">
            <i data-lucide="alert-triangle" class="text-yellow-500"></i>
            Password Strength Checker
        </h2>
        
        <div class="space-y-4">
            <div>
                <label class="block text-sm font-medium text-slate-300 mb-1">
                    Enter your password to check its strength
                </label>
                <input
                    type="password"
                    id="password-input"
                    class="w-full px-4 py-2 bg-slate-700 rounded border border-slate-600 focus:border-emerald-400 focus:ring-1 focus:ring-emerald-400 outline-none transition"
                    placeholder="Enter password..."
                >
            </div>

            <div id="password-strength" class="hidden space-y-4">
                <div class="flex items-center gap-2">
                    <span id="strength-text" class="text-lg font-semibold"></span>
                    <div class="flex-1 h-2 bg-slate-700 rounded-full">
                        <div id="strength-bar" class="h-full rounded-full transition-all"></div>
                    </div>
                </div>

                <div class="space-y-2">
                    <h3 class="font-medium text-slate-300">Password Requirements:</h3>
                    <ul class="space-y-1" id="requirements-list"></ul>
                </div>
            </div>
        </div>
    </div>
</div>